List broadcast recipients▾
GET

List broadcast recipients

Per-recipient delivery status and failure reasons.

Filter by status=failed to build a retry list. Failure reasons use the same codes as Errors.

GET/v1/broadcasts/{id}/recipients

Path parameters

idstringrequired

bc_….

Query parameters

statusenum

Filter by delivery state.

queuedsentdeliveredreadfailed

limitintegerdefault 25

Page size, 1–100.

curl -X GET https://api.sendport.tech/v1/broadcasts/{id}/recipients \
  -H "Authorization: Bearer $SENDPORT_KEY"

Responses

200OK
{
  "object": "list",
  "data": [
    {
      "wa_id": "201005550123",
      "status": "delivered",
      "wamid": "wamid.SEJnTTIwMTAwNTU1MDEyM0ZRSUFFUmdT",
      "updated_at": "2026-09-06T09:15:02.000Z"
    },
    {
      "wa_id": "201005550999",
      "status": "failed",
      "error": { "code": "contact_opted_out", "message": "Recipient opted out." },
      "updated_at": "2026-09-06T09:15:04.000Z"
    }
  ],
  "has_more": false,
  "next_cursor": null
}
401Unauthorized
{
  "error": {
    "type": "authentication_error",
    "code": "missing_api_key",
    "message": "No API key provided.",
    "doc_url": "https://sendport.tech/docs/errors#missing_api_key",
    "request_id": "req_9f3c2a7b41de08c5b2e6"
  }
}
Try itsandbox